package com.qs.mp.service;

import com.qs.mp.MpApplication;
import com.qs.mp.framework.service.IWxUrlLinkService;
import java.util.Date;
import java.util.Random;
import org.junit.jupiter.api.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.web.servlet.AutoConfigureMockMvc;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.TestPropertySource;

/**
 * @author zhongcp
 * @Date 2021/8/31
 */
@AutoConfigureMockMvc
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT, classes = MpApplication.class)
@TestPropertySource(locations = "classpath:application-dev.yml")
@ActiveProfiles("dev")
public class ServiceImplTest {

  protected final Logger logger = LoggerFactory.getLogger(this.getClass().getSimpleName());

  @Autowired
  private IWxUrlLinkService wxUrlLinkService;

  @Test
  public void testGenerateQrCode() {
    System.out.println(wxUrlLinkService.generateCode("", "xxx=1"));

  }


  public static void main(String[] args) {
    int n = 500;
    Random rand = new Random();
    boolean[] bool = new boolean[n];
    int randInt = 0;
    for(int i = 0; i < 50 ; i++) {
      do {
        randInt = rand.nextInt(n);
      }while(bool[randInt]);
      bool[randInt] = true;
      System.out.println(randInt);
    }
  }
}
